## org.apache.http.entity.mime
Enum HttpMultipartMode

    java.lang.Object
      java.lang.Enum<HttpMultipartMode>
          org.apache.http.entity.mime.HttpMultipartMode

All Implemented Interfaces:
  Serializable, Comparable<HttpMultipartMode>

    public enum HttpMultipartMode

extends Enum<HttpMultipartMode>

Since:
  4.0

Enum Constant Summary
`BROWSER_COMPATIBLE` browser-compatible mode, i.e.
`STRICT` RFC 822, RFC 2045, RFC 2046 compliant

Method Summary
`static HttpMultipartMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HttpMultipartMode[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRICT

    public static final HttpMultipartMode STRICT

  RFC 822, RFC 2045, RFC 2046 compliant

### BROWSER_COMPATIBLE

    public static final HttpMultipartMode BROWSER_COMPATIBLE

  browser-compatible mode, i.e. only write Content-Disposition; use content charset

Method Detail

### values

    public static final HttpMultipartMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(HttpMultipartMode c : HttpMultipartMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static HttpMultipartMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.